Add permissions handling test
authorMatt Mackall <mpm@selenic.com>
Thu, 03 Nov 2005 00:45:54 -0800
changeset 1497 f0b13c019b04
parent 1496 3cf287a03664
child 1498 78590fb4a82b
Add permissions handling test
tests/test-permissions
tests/test-permissions.out
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-permissions	Thu Nov 03 00:45:54 2005 -0800
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+hg init
+echo foo > a
+hg add a
+hg commit -m "1" -d "0 0"
+hg verify
+chmod -r .hg/data/a.d
+hg verify 2>/dev/null || echo verify failed
+chmod +r .hg/data/a.d
+hg verify 2>/dev/null || echo verify failed
+chmod -w .hg/data/a.d
+echo barber > a
+hg commit -m "2" -d "0 0" 2>/dev/null || echo commit failed
+
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-permissions.out	Thu Nov 03 00:45:54 2005 -0800
@@ -0,0 +1,16 @@
+checking changesets
+checking manifests
+crosschecking files in changesets and manifests
+checking files
+1 files, 1 changesets, 1 total revisions
+checking changesets
+checking manifests
+crosschecking files in changesets and manifests
+checking files
+verify failed
+checking changesets
+checking manifests
+crosschecking files in changesets and manifests
+checking files
+1 files, 1 changesets, 1 total revisions
+commit failed